-- Skrypt tworzcy baz pracownikow

-- Definicja formatu daty na 'dd/mm/yyyy'
SET DATESTYLE TO 'European';
SET DATESTYLE TO 'SQL';


DROP TABLE prac CASCADE;
DROP TABLE dzial CASCADE;


CREATE TABLE dzial
(
	ID_dzial	char(5)		NOT NULL,
	Nazwa		varchar(32)	NOT NULL,
	Lokalizacja	varchar(24)	NOT NULL,
	Kierownik	char(5),
	CONSTRAINT 	dzial_pk 	PRIMARY KEY(ID_dzial)
	
);



CREATE TABLE prac
(	
	ID_prac		char(5)		NOT NULL,
	Nazwisko	varchar(32) 	NOT NULL,
	Imie		varchar(16)	NOT NULL,
	Data_ur		date		NOT NULL,
	Dzial		char(5)		NOT NULL,
	Stanowisko	varchar(24),
	Pobory		numeric(8,2),
	CONSTRAINT	prac_pk	PRIMARY KEY(ID_prac),
	CONSTRAINT	prac_fk	FOREIGN KEY(Dzial) REFERENCES dzial(ID_dzial) ON UPDATE CASCADE
);








-- adowanie tablicy dzial 3 rekordy

INSERT INTO dzial VALUES ('PD303','Produkcyjny','Mysiecko','110');
INSERT INTO dzial VALUES ('PK101','Projektowy','Mysieko','101');
INSERT INTO dzial VALUES ('PR202','Promocji','Mysieoczko','111');




-- adowanie tablicy prac 7 rekordw

INSERT INTO prac VALUES ('1100','Kowal','Adam','15/12/1989','PD303','robotnik',1500);
INSERT INTO prac VALUES ('110','Kowalik','Artur','13/12/1998','PD303','kierownik',1500);
INSERT INTO prac VALUES ('1110','Kowalewski','Adam','15/11/1989','PR202','robotnik',3500);
INSERT INTO prac VALUES ('101','Kowalczyk','Amadeusz','17/12/1998','PK101','kierownik',1000);
INSERT INTO prac VALUES ('1101','Kowalski','Antoni','15/12/1999','PD303','robotnik',4500);
INSERT INTO prac VALUES ('1011','Kowalowski','Alojzy','15/11/1998','PK101','robotnik',2500);
INSERT INTO prac VALUES ('111','Kowalczuk','Adam','12/11/1998','PR202','kierownik',2500);
INSERT INTO prac VALUES ('1010','Kawula','Alojzy','15/11/1998','PK101','robotnik',2500);

--ALTER TABLE prac ADD CONSTRAINT	prac_fk	FOREIGN KEY(Dzial) REFERENCES dzial(ID_dzial) ON UPDATE CASCADE;

ALTER TABLE dzial ADD CONSTRAINT	dzial_fk	FOREIGN KEY(Kierownik) REFERENCES prac(ID_prac) ON UPDATE CASCADE

